SearchAutomationTemplateVersions
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.AutomationSearch.SearchAutomationTemplateVersions(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.SearchAutomationTemplateVersionsResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.automationSearch.searchAutomationTemplateVersions();
console.log(result);
}
run();curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/search/automation_versions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"automationTemplateId": "<string>",
"pageSize": 123,
"pageToken": "<string>"
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/search/automation_versions"
payload = {
"automationTemplateId": "<string>",
"pageSize": 123,
"pageToken": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({automationTemplateId: '<string>', pageSize: 123, pageToken: '<string>'})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/search/automation_versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"list": [
{
"automationSteps": [
{
"accountLifecycleAction": {
"accountInContext": {},
"accountRef": {
"accountIdCel": "<string>"
},
"actionName": "<string>",
"connectorRef": {
"appId": "<string>",
"id": "<string>"
}
},
"callFunction": {
"args": {},
"functionId": "<string>"
},
"connectorAction": {
"actionName": "<string>",
"argsTemplate": {},
"connectorRef": {
"appId": "<string>",
"id": "<string>"
},
"resourceTypeId": "<string>"
},
"connectorCreateAccount": {
"connectorRef": {
"appId": "<string>",
"id": "<string>"
},
"passwordCel": "<string>",
"userIdCel": "<string>",
"userProperties": {
"displayNameCel": "<string>",
"emailCel": "<string>",
"profileAttributeCel": "<string>",
"usernameCel": "<string>"
}
},
"createAccessReview": {
"accessReviewTemplateCel": "<string>",
"accessReviewTemplateId": "<string>",
"campaignName": "<string>",
"useSubjectUser": true,
"userIdsCel": "<string>",
"userRefs": [
{
"id": "<string>"
}
]
},
"createRevokeTasks": {
"appEntitlementRefs": [
{
"appId": "<string>",
"id": "<string>"
}
],
"appEntitlementRefsCel": "<string>",
"excludedAppEntitlementRefs": [
{
"appId": "<string>",
"id": "<string>"
}
],
"excludedAppEntitlementRefsCel": "<string>",
"revokeAll": true,
"useSubjectUser": true,
"userIdCel": "<string>",
"userRef": {
"id": "<string>"
}
},
"createRevokeTasksV2": {
"exclusionCriteria": {
"excludedAppIds": [
"<string>"
],
"excludedComplianceFrameworkIds": [
"<string>"
],
"excludedResourceTypeIds": [
"<string>"
],
"excludedRiskLevelIds": [
"<string>"
]
},
"exclusionList": {
"excludedAppEntitlementRefs": [
{
"appId": "<string>",
"id": "<string>"
}
]
},
"exclusionListCel": {
"excludedAppEntitlementRefsCel": "<string>"
},
"exclusionNone": {},
"inclusionAccessOnly": {},
"inclusionAll": {},
"inclusionCriteria": {
"appIds": [
"<string>"
],
"complianceFrameworkIds": [
"<string>"
],
"resourceTypeIds": [
"<string>"
],
"riskLevelIds": [
"<string>"
]
},
"inclusionList": {
"appEntitlementRefs": [
{
"appId": "<string>",
"id": "<string>"
}
]
},
"inclusionListCel": {
"appEntitlementRefsCel": "<string>"
},
"useSubjectUser": true,
"userIdCel": "<string>",
"userRef": {
"id": "<string>"
}
},
"evaluateExpressions": {
"expressions": [
{
"expressionCel": "<string>",
"isSecret": true,
"key": "<string>"
}
]
},
"generatePassword": {
"passwordPolicyId": "<string>",
"policy": {
"customCharacters": "<string>",
"excludedCharacters": "<string>",
"maxCharacterCount": 123,
"minCharacterCount": 123,
"noRestrictions": true,
"requireLowercase": true,
"requireNumbers": true,
"requireSpecialCharacters": true,
"requireUppercase": true
}
},
"grantEntitlements": {
"exclusionCriteria": {
"excludedAppIds": [
"<string>"
],
"excludedComplianceFrameworkIds": [
"<string>"
],
"excludedRiskLevelIds": [
"<string>"
]
},
"exclusionList": {
"excludedAppEntitlementRefs": [
{
"appId": "<string>",
"id": "<string>"
}
]
},
"exclusionListCel": {
"excludedAppEntitlementRefsCel": "<string>"
},
"exclusionNone": {},
"inclusionCriteria": {
"appIds": [
"<string>"
],
"complianceFrameworkIds": [
"<string>"
],
"riskLevelIds": [
"<string>"
]
},
"inclusionList": {
"appEntitlementRefs": [
{
"appId": "<string>",
"id": "<string>"
}
]
},
"inclusionListCel": {
"appEntitlementRefsCel": "<string>"
},
"useSubjectUser": true,
"userIdCel": "<string>",
"userRef": {
"id": "<string>"
}
},
"removeFromDelegation": {
"replacementUserIdCel": "<string>",
"replacementUserRef": {
"id": "<string>"
},
"useSubjectUser": true,
"userIdCel": "<string>",
"userRef": {
"id": "<string>"
}
},
"runAutomation": {
"automationTemplateIdCel": "<string>",
"automationTemplateRef": {
"id": "<string>"
},
"context": {
"context": {}
}
},
"sendEmail": {
"body": "<string>",
"email": "<string>",
"emailCel": "<string>",
"subject": "<string>",
"title": "<string>",
"useSubjectUser": true,
"userIdsCel": "<string>",
"userRefs": [
{
"id": "<string>"
}
]
},
"sendSlackMessage": {
"body": "<string>",
"channelName": "<string>",
"channelNameCel": "<string>",
"useSubjectUser": true,
"userIdsCel": "<string>",
"userRefs": [
{
"id": "<string>"
}
]
},
"setCredential": {
"accountIdCel": "<string>",
"connectorRef": {
"appId": "<string>",
"id": "<string>"
},
"passwordCel": "<string>"
},
"skipIfTrueCel": "<string>",
"stepDisplayName": "<string>",
"stepName": "<string>",
"storeCredential": {
"appIdCel": "<string>",
"credentialCel": "<string>",
"expiry": "<string>",
"labelCel": "<string>",
"maxViews": 123,
"recipientCel": "<string>",
"recipientEmailCel": "<string>",
"ttl": "<string>"
},
"taskAction": {
"close": {
"useSubjectUser": true,
"userIdCel": "<string>",
"userRef": {
"id": "<string>"
}
},
"reassign": {
"assigneeUserIdCel": "<string>",
"assigneeUserRef": {
"id": "<string>"
},
"subjectUserIdCel": "<string>",
"subjectUserRef": {
"id": "<string>"
},
"useSubjectUser": true
},
"taskTypes": []
},
"unenrollFromAllAccessProfiles": {
"catalogIds": [
"<string>"
],
"catalogIdsCel": "<string>",
"useSubjectUser": true,
"userIdsCel": "<string>",
"userRefs": [
{
"id": "<string>"
}
]
},
"updateUser": {
"useSubjectUser": true,
"userIdCel": "<string>",
"userRef": {
"id": "<string>"
},
"userStatusCel": "<string>"
},
"waitForDuration": {
"duration": "<string>"
},
"webhook": {
"payload": {},
"webhookId": "<string>",
"webhookIdCel": "<string>"
}
}
],
"automationTemplateId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"triggers": [
{
"accessConflict": {
"allConflictMonitors": true,
"conflictMonitorRefs": {
"conflictMonitorRefs": [
{
"id": "<string>"
}
]
}
},
"appUserCreated": {
"appId": "<string>",
"appIdCel": "<string>",
"condition": "<string>"
},
"appUserUpdated": {
"appId": "<string>",
"appIdCel": "<string>",
"condition": "<string>"
},
"grantDeleted": {
"grantTriggerFilter": {
"accountFilter": {},
"grantFilter": {},
"inclusionAll": {},
"inclusionCriteria": {
"appIds": [
"<string>"
],
"complianceFrameworkIds": [
"<string>"
],
"resourceTypeIds": [
"<string>"
],
"riskLevelIds": [
"<string>"
]
},
"inclusionList": {
"appEntitlementRefs": [
{
"appId": "<string>",
"id": "<string>"
}
]
},
"inclusionListCel": {
"appEntitlementRefsCel": "<string>"
}
}
},
"grantFound": {
"grantTriggerFilter": {
"accountFilter": {},
"grantFilter": {},
"inclusionAll": {},
"inclusionCriteria": {
"appIds": [
"<string>"
],
"complianceFrameworkIds": [
"<string>"
],
"resourceTypeIds": [
"<string>"
],
"riskLevelIds": [
"<string>"
]
},
"inclusionList": {
"appEntitlementRefs": [
{
"appId": "<string>",
"id": "<string>"
}
]
},
"inclusionListCel": {
"appEntitlementRefsCel": "<string>"
}
}
},
"schedule": {
"advanced": true,
"condition": "<string>",
"cronSpec": "<string>",
"skipIfTrueCel": "<string>",
"start": "2023-11-07T05:31:56Z",
"timezone": "<string>"
},
"scheduleAppUser": {
"appId": "<string>",
"condition": "<string>",
"cronSpec": "<string>",
"start": "2023-11-07T05:31:56Z",
"timezone": "<string>"
},
"scheduleNoUser": {
"advanced": true,
"cronSpec": "<string>",
"start": "2023-11-07T05:31:56Z",
"timezone": "<string>"
},
"usageBasedRevocation": {
"appId": "<string>",
"enabledAt": "2023-11-07T05:31:56Z",
"excludedGroupRefs": [
{
"appId": "<string>",
"id": "<string>"
}
],
"excludedUserRefs": [
{
"id": "<string>"
}
],
"includeUsersWithNoActivity": true,
"runDelayed": {
"coldStartDelayDays": 123
},
"runImmediately": {},
"targetedAppUserTypes": [],
"targetedEntitlementRefs": [
{
"appId": "<string>",
"id": "<string>"
}
],
"unusedForDays": 123
},
"userCreated": {
"condition": "<string>"
},
"userProfileChange": {
"condition": "<string>"
},
"webhook": {
"capabilityUrl": {},
"hmac": {},
"jwt": {
"jwksUrl": "<string>"
},
"listenerId": "<string>"
}
}
],
"updatedAt": "2023-11-07T05:31:56Z",
"version": "<string>"
}
],
"nextPageToken": "<string>"
}Automations
Search Automation Template Versions
Search for versioned snapshots of an automation template’s steps and triggers.
POST
/
api
/
v1
/
search
/
automation_versions
SearchAutomationTemplateVersions
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.AutomationSearch.SearchAutomationTemplateVersions(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.SearchAutomationTemplateVersionsResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.automationSearch.searchAutomationTemplateVersions();
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Body
application/json
The SearchAutomationTemplateVersionsRequest message.
Response
200 - application/json
Successful response
Was this page helpful?
⌘I